from PySide import QtCore, QtGui

class Miniature(QtGui.QWidget):
    def __init__(self,parent):
        super(Miniature, self).__init__()
        self.parent = parent
        self.image = QtGui.QImage()
        self.color = QtGui.QColor(64,247,21)
        
    def setImage(self,image):
        self.image = image    
        
    def paintEvent(self, event):
            qp = QtGui.QPainter()
            qp.begin(self)
            
            w = self.image.width() 
            h = self.image.height()
            r = QtCore.QRect(0,0,w,h)
            
            qp.drawImage(r,self.image)
            qp.setPen(self.color)
            
            WImg = (self.parent.patternScrollArea.horizontalScrollBar()).maximum() - (self.parent.patternScrollArea.horizontalScrollBar()).minimum() + (self.parent.patternScrollArea.horizontalScrollBar()).pageStep()
                   
            width = ((self.parent.patternScrollArea.horizontalScrollBar()).pageStep()*w)/WImg
            
            HImg = (self.parent.patternScrollArea.verticalScrollBar()).maximum() - (self.parent.patternScrollArea.verticalScrollBar()).minimum() + (self.parent.patternScrollArea.verticalScrollBar()).pageStep()
                   
            height = ((self.parent.patternScrollArea.verticalScrollBar()).pageStep()*h)/HImg
            
            y = ((self.parent.patternScrollArea.verticalScrollBar()).sliderPosition()*width)/(self.parent.patternScrollArea.horizontalScrollBar()).pageStep()
            x = ((self.parent.patternScrollArea.horizontalScrollBar()).sliderPosition()*height)/(self.parent.patternScrollArea.verticalScrollBar()).pageStep()
                
            qp.drawRect(x,y,width,height);
            qp.end()